---
id: notification-event-resend
title: "Resend an event"
description: "Resend a notification event."
sidebar_label: "Resend an event"
hide_title: true
hide_table_of_contents: true
api: eJzdV81uGzcQfhViTo2wkiVZrt09FFBtB1EROEYspwkswaGWIy2TXXJDcu2owt567+u0r9MX6CsUQ64sreSkTZFTLvohh9zh930z/HYFAm1iZOGkVhDDS7SoBONMaSfnMuE0zvAOleuwiZqoOI6lmuuJeqNLlnDFklRri8xpZsJal2JYQGO2wIT2YUnKlcLMMm1onGcZS7Say0VpUGxmZ0umc+mcVAu/0dt65lYK+5bNJWaCSeWnDH4o0To202LZ8YlNFESgCzQ+65GAGLaPceuzikOaEIHjCwvxDZzTMEwjsJiURrolxDcrmCE3aIalSyG+mVbTCApueI4OjfUBkvAquEshAsVzhBgkbUt5SYMCYmdKjMAmKeYc4hW4ZUFR1hmpFhDBXJucO4ihLKWAKtrhYpxik4bR2QbmiGC4vh6dsbBLByLAjzwvMnpEr3fSTUS33+4lh9+3B/3jQfsEj3l7MDg5nJ0c48m8j0BnqkH8SYslZbjJfc4zixEkWjlCJ14BL4qszuTgnaUMV/tn07N3mDiIoDBEhJNoaXaLxa1gbgxfQgTSYW73AdoDZKiYX8L0fK0YNjqzBMp9KpPUy6KBmE11mQk2w4Ca1/CP7K/f/vz7j99Zq3WhHcatFhvNg+pQRFvylbZeRQ9otT4h2Var43X3AP4N9PqHEEH/cAARHA6OYFpVETjpPDWBvoutLKGqKMCgLbSyAbB+t09fjxdnkmDhUBDl/5ufDdM3zSKRgkqhSd9uwL9qeZe5ayU/lEgC1vPAEt5nS5YY5A5Fk7MFKqpgFNQMQqH7Yz8UdlPqh7PjPg6SXvvkmB+1B/NBvz3rYbc9ED/w42TAu/1ZD7YJCCgOaxBr8Afd7j7er3gmRd0BjdGGfYedRYcq745mqJVhXrhls0s9+Wq8WMddaU+1QDoxZQAR5GgtX+A+SVvRm32lcrhAs0fIs/H4koUVLNGCQC6C2Ned96FzWzR3aAICDegH3W61yecRTexUL0vLnKu2QS74LENWr2QhbLZ+8N0O6k26t5BmeUntHxmv+wJ1jKR5/k/mkvMklQo32QSGH8fi8yldvBiPno5Oh+PRi4vO6OLV8Pno7Pb02fDi4vz57ejs6nb85vLc64yUdvT69b7SrrYwZg+NgEklvHLUgs4orS2R6XD7DS9HzEqB37DY1uV21O3SR58+Dp80sD/yEvwanLuUO5Zwhwtt5K9oQ1ohmzmXWWmwyTod1iie3Yag2wBZtcbuP6QzMxLn0W5VbEWtm2VIk7ZbQzKBUf14VkvnnGImQFM0IhNk14rfcZnRrhNo4vb4cviichZC0k+eMYGOy8wyPtOl22TcfOJQsVLhxwITau3hSDpJSmNQdNhlhpxcpFkyvuBSsYw7NJ26anxeLtXk6Aptvb8g4xXDwfbVcbCSojp48HeBmGDWSpNBDKlzhY0PDnghO6rMsiLjji6uTqJzb4fWDvCKSiYofdsHPmBCG0Ft7eh/CIKo/vF0fRn+/MvY3z1Uii83Vut8jcqOM3rMOkRAfptC6TAB+16n2+nC5kpruonIY5RzX/y1M11bh9rL77K52vSQb+AVoCbJ4Ud3UGRceky8Ala1bpqeByKIa+vupTONICWVxTewWs24xWuTVRUNfyjR0OvBNII7biSVlpeXkJZ+b3zzJ9H97mXdc5+wL/b3j55r7aUVOek7npX0DyJ4j8vwRlKRhlLkAo3PNUychozaY1q+Wbh3f1TRekVwTJ+NnW7V6eWLqzEVRP1mkfseDYbfE878PiSpPUK+zvzYCjKuFqVvQBD2pPLhzerbqTZ/qkdhWK1CxFi/R1VVD6g4+k/AVNU/E2Mtnw==
sidebar_class_name: "post api-method"
info_path: docs/api/notification
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Resend an event"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/notification/{id}/resend"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Resend a notification event. 

:::info
You can choose to resend the event to specific channels or to all configured channels by omitting the `channel_ids` field in the request body.
:::


<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"},"description":"The notification ID to resend, in UUID format.","example":"1180cd02-1c36-4274-8e7a-4483b87e8f2e"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"channel_ids":{"type":"array","items":{"type":"string"},"description":"An array of channel IDs to which the notification should be resent. \n> ℹ️ **Note:** If omitted, the event is resent to **all configured channels**.\n","example":["123","234","345"]}},"title":"resendNotification"}}}}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"202":{"description":"Resend accepted.","content":{"application/json":{"schema":{"type":"object","required":["notification_id"],"properties":{"notification_id":{"type":"string","format":"uuid","description":"Unique ID of the newly created notification generated by the resend operation.","example":"3b72e4c1-87a5-4f42-b1e0-4d9a7c4a02b1"}},"title":"ResendAccepted"}}}},"400":{"description":"Validation error (e.g., invalid or empty `channel_ids`).","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error.","example":400},"message":{"type":"string","description":"A human-readable message describing the validation error.","example":"channel_ids must be an array"},"code":{"type":"string","description":"A machine-readable error code representing the validation error.","example":"NOTIFICATION.INVALID_CHANNEL_IDS_TYPE"}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      